import employees.*;
import util.*;

public class Payroll {  
  public static void main(String[] args) {
    String fName = null;
    String lName = null;
    int dept = 0;
    double payRate = 0.0;

    fName = KeyboardReader.getPromptedString("Enter first name: ");
    lName = KeyboardReader.getPromptedString("Enter last name: ");
    dept = KeyboardReader.getPromptedInt("Enter department: ");
    payRate = KeyboardReader.getPromptedDouble("Enter pay rate: ");
    Employee e1 = new Employee(fName, lName, dept, payRate);

    fName = KeyboardReader.getPromptedString("Enter first name: ");
    lName = KeyboardReader.getPromptedString("Enter last name: ");
    dept = KeyboardReader.getPromptedInt("Enter department: ");
    payRate = KeyboardReader.getPromptedDouble("Enter pay rate: ");
    Employee e2 = new Employee(fName, lName, dept, payRate);

    fName = KeyboardReader.getPromptedString("Enter first name: ");
    lName = KeyboardReader.getPromptedString("Enter last name: ");
    dept = KeyboardReader.getPromptedInt("Enter department: ");
    payRate = KeyboardReader.getPromptedDouble("Enter pay rate: ");
    Employee e3 = new Employee(fName, lName, dept, payRate);

    System.out.println(e1.getPayInfo());
    System.out.println(e2.getPayInfo());
    System.out.println(e3.getPayInfo());

  }
}